Get SAML Configuration
GET
https://api.coralogix.com/mgmt/openapi/5/aaa/team-saml/v1/configurationReturns the current SAML configuration for the team.
Authorizations
Authorizationrequired
API key authentication
The value is a Coralogix API key. Create a personal or team API key and assign its permissions.
Request
Query Parameters
team_id# int64
Possible values: >= 0
The unique identifier of the team whose SAML configuration to retrieve.
Response
application/json
This data structure is obtained as a response to a request to retrieve the configuration of a SAML service provider and identity provider
- Option 1
- Option 2
- Option 3
Idp details.
idpParameters#objectoneOf
object
idpParameters.groupNames#string[]
List of group names mapped from the identity provider for role-based access.
idpParameters.metadataContent#string
Raw XML content of the identity provider SAML metadata document.
Example:
<?xml version= ...idpParameters.metadataUrl#string
URL to the identity provider SAML metadata XML document.
Example:
https://<...>.okta.com/app/<...>/sso/saml/metadataidpParameters.teamEntityId#int64
Coralogix team entity identifier used as the SAML service provider entity ID.
Possible values: >= 0
Example:
1234567